<%@ taglib prefix="x" uri="http://java.sun.com/jsp/jstl/xml" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<html>
    <head>
        <title>Example x:if tag of JSTL</title>
    </head>
    <body>
        
        <c:import var="import" url="employee.xml" />
        <x:parse var="doc" doc="${import}" />
        
        <x:if select="$doc//name">
            Names are present in specified xml file.
        </x:if>       
        <br />        
        <x:if select="$doc/org/company">
            company exists in specified xml file.
        </x:if>        
        <br />        
        <x:if select="$doc/org/company/emp">
            Employee exists in specified xml file.
        </x:if>        
    </body>
</html>
